Skip to main content
`Ctrl`+`K`

# PetscDSGetUpperBound

Get the pointwise upper bound function for a given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetUpperBound(PetscDS ds, PetscInt f, PetscPointBoundFn **ub, void **ctx)

Not Collective

## Input Parameters

- ds - The `PetscDS`

- f - The field number

## Output Parameters

- ub - upper bound function for the field, see `PetscPointBoundFn`

- ctx - upper bound context that was set with `PetscDSSetUpperBound()`

## See Also

`PetscDS`, `PetscPointBoundFn`, `PetscDSSetUpperBound()`, `PetscDSGetLowerBound()`, `PetscDSGetExactSolution()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages